Bug 20503 - Borrower_PrevCheckout.t is failing randomly
Summary: Borrower_PrevCheckout.t is failing randomly
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-30 16:14 UTC by Jonathan Druart
Modified: 2018-05-22 09:42 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20503: Prevent Borrower_PrevCheckout.t to fail randomly (1.21 KB, patch)
2018-03-30 16:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-03-30 16:14:34 UTC
AddIssue returns too soon if category_type="X"

koha_1       | #   Failed test 'patron, wants_check_for_previous_checkout, do_check_for_previous_checkout'
koha_1       | #   at t/db_dependent/Patron/Borrower_PrevCheckout.t line 443.
koha_1       | #          got: undef
koha_1       | #     expected: '1'
koha_1       | # Looks like you failed 1 test of 59.
koha_1       | [14:50:28] t/db_dependent/Patron/Borrower_PrevCheckout.t .................. 
koha_1       | Dubious, test returned 1 (wstat 256, 0x100)
koha_1       | Failed 1/59 subtests 

https://jenkins.koha-community.org/job/Koha_Master_D8/415/console
Comment 1 Jonathan Druart 2018-03-30 16:15:42 UTC
Created attachment 73496 [details] [review]
Bug 20503: Prevent Borrower_PrevCheckout.t to fail randomly

category_type must be != "X"

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Jonathan Druart 2018-03-30 16:16:13 UTC
Pushed to master for 18.05
Comment 3 Nick Clemens 2018-05-14 21:24:07 UTC
Pushed to stable for 17.11.06

Awesome work all!
Comment 4 Fridolin SOMERS 2018-05-22 09:42:51 UTC
Pushed to 17.05.x for v17.05.12